(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('prism-react-renderer'), require('theme-ui')) :
  typeof define === 'function' && define.amd ? define(['prism-react-renderer', 'theme-ui'], factory) :
  (global.prism = factory(global.Highlight,global.themeUi));
}(this, (function (Highlight,themeUi) {
  var Highlight__default = 'default' in Highlight ? Highlight['default'] : Highlight;

  function _objectWithoutPropertiesLoose(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;

    for (i = 0; i < sourceKeys.length; i++) {
      key = sourceKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      target[key] = source[key];
    }

    return target;
  }

  function _objectWithoutProperties(source, excluded) {
    if (source == null) return {};

    var target = _objectWithoutPropertiesLoose(source, excluded);

    var key, i;

    if (Object.getOwnPropertySymbols) {
      var sourceSymbolKeys = Object.getOwnPropertySymbols(source);

      for (i = 0; i < sourceSymbolKeys.length; i++) {
        key = sourceSymbolKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
        target[key] = source[key];
      }
    }

    return target;
  }

  function _slicedToArray(arr, i) {
    return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest();
  }

  function _arrayWithHoles(arr) {
    if (Array.isArray(arr)) return arr;
  }

  function _iterableToArrayLimit(arr, i) {
    if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _e = undefined;

    try {
      for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
        _arr.push(_s.value);

        if (i && _arr.length === i) break;
      }
    } catch (err) {
      _d = true;
      _e = err;
    } finally {
      try {
        if (!_n && _i["return"] != null) _i["return"]();
      } finally {
        if (_d) throw _e;
      }
    }

    return _arr;
  }

  function _unsupportedIterableToArray(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _arrayLikeToArray(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(o);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
  }

  function _arrayLikeToArray(arr, len) {
    if (len == null || len > arr.length) len = arr.length;

    for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

    return arr2;
  }

  function _nonIterableRest() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  var aliases = {
    js: 'javascript',
    sh: 'bash'
  };
  var index = (function (_ref) {
    var children = _ref.children,
        outerClassName = _ref.className,
        props = _objectWithoutProperties(_ref, ["children", "className"]);

    var _outerClassName$repla = outerClassName.replace(/language-/, '').split(' '),
        _outerClassName$repla2 = _slicedToArray(_outerClassName$repla, 1),
        language = _outerClassName$repla2[0];

    var lang = aliases[language] || language;
    return themeUi.jsx(Highlight__default, Object.assign({}, Highlight.defaultProps, props, {
      code: children.trim(),
      language: lang,
      theme: undefined
    }), function (_ref2) {
      var className = _ref2.className,
          style = _ref2.style,
          tokens = _ref2.tokens,
          getLineProps = _ref2.getLineProps,
          getTokenProps = _ref2.getTokenProps;
      return themeUi.jsx(themeUi.Styled.pre, {
        className: "".concat(outerClassName, " ").concat(className),
        style: style
      }, tokens.map(function (line, i) {
        return themeUi.jsx("div", Object.assign({}, getLineProps({
          line: line,
          key: i
        })), line.map(function (token, key) {
          return themeUi.jsx("span", Object.assign({}, getTokenProps({
            token: token,
            key: key
          }), {
            sx: token.empty ? {
              display: 'inline-block'
            } : undefined
          }));
        }));
      }));
    });
  });

  return index;

})));
//# sourceMappingURL=prism.umd.js.map
